msgpack::adaptor::object_with_zone< msgpack::type::tuple< Args... > > Struct Template Reference

`#include <cpp11_msgpack_tuple.hpp>`

## Public Member Functions

void | operator() (msgpack::object::with_zone &o, msgpack::type::tuple< Args... > const &v) const

## Member Function Documentation

## operator()()

template<typename... Args>

void msgpack::adaptor::object_with_zone< msgpack::type::tuple< Args... > >::operator() | ( | msgpack::object::with_zone & | o,
|  | msgpack::type::tuple< Args... > const & | v
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::convert(), MSGPACK_ZONE_ALIGNOF, msgpack::object_array::ptr, msgpack::object_array::size, msgpack::object::type, msgpack::object::via, and msgpack::object::with_zone::zone.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/detail/cpp11_msgpack_tuple.hpp